import axios from '@/utils/axios';
import { stringToUrl } from '@/common/js/utils';

// 获取子账户列表
export function getChildAdminList(params) {
    return axios.get(`/SZWL-SERVER/tAdmin/getChildDrenAdminList?${stringToUrl(params)}`, params);
}
// 获取角色列表
export function getSysRoleAdminList(params) {
    return axios.get(`/SZWL-SERVER/sysRoleMenu/pageRoleOption?${stringToUrl(params)}`);
}
// 获取角色下拉
export function getSysRoleList() {
    return axios.get(`/SZWL-SERVER/sysRoleMenu/listRoleOption`);
}
// 添加角色
export function addSysRole(params) {
    return axios.post(`/SZWL-SERVER/sysRoleMenu/addSysRole`, params);
}
// 删除角色
export function deleteSysRole(params) {
    return axios.get(`/SZWL-SERVER/sysRoleMenu/deleteRoleOption?${stringToUrl(params)}`);
}
// 修改角色
export function updateSysRole(params) {
    return axios.post(`/SZWL-SERVER/sysRoleMenu/updateSysRole`, params);
}

// 获取旗下的机器
export function getEquipmentList(params) {
    return axios.get(`/SZWL-SERVER/tEquipment/listEquipment?${stringToUrl(params)}`, params);
}

// 获取商户列表
export function tAdminPageAdmin(params) {
    return axios.get(`/SZWL-SERVER/tAdmin/pageAdmin?${stringToUrl(params)}`, params);
}
// 获取优惠码列表
export function getPromoCode(params) {
    return axios.get(`/SZWL-SERVER/tPromoCode/pagePromoCode?${stringToUrl(params)}`, params);
}

// 获取旗下关联商家
export function gettAdminList(params) {
    return axios.get(`/SZWL-SERVER/tAdmin/listAdmin?${stringToUrl(params)}`, params);
}
// 获取标签管理
export function gettLabelList(params) {
    return axios.get(`/SZWL-SERVER/tLabel/list?${stringToUrl(params)}`, params);
}
// 获取标签详情
export function gettLabel(params) {
    return axios.get(`/SZWL-SERVER/tLabel/getOne?${stringToUrl(params)}`, params);
}

// 删除标签
export function deleteLabel(params) {
    return axios.get(`/SZWL-SERVER/tLabel/delete?${stringToUrl(params)}`, params);
}
// 单个机器设置标签
export function equipmentToLabel(params) {
    return axios.get(`/SZWL-SERVER/tLabel/equipmentToLabel?${stringToUrl(params)}`, params);
}

// 添加子账户
export function addLoginUser(params) {
    return axios.post(`/SZWL-SERVER/tAdmin/addLoginUser`, params);
}

// 获取APK列表
export function getApkList(params) {
    return axios.get(`/SZWL-SERVER/tApkInfo/pageApkInfo?${stringToUrl(params)}`)
}
// 添加APK
export function addApk(params) {
    return axios.post(`/SZWL-SERVER/tApkInfo/add`, params)
}
// 修改APK
export function updateApk(params) {
    return axios.post(`/SZWL-SERVER/tApkInfo/update`, params);
}
// 获取广告列表(分页)
export function getAdList(params) {
    return axios.get(`/SZWL-SERVER/tAd/pageAd?${stringToUrl(params)}`)   
}
// 新增广告
export function addAd(params) {
    return axios.post(`/SZWL-SERVER/tApkInfo/add`, params);
}
// 获取广告规则列表
export function getTimeRuleList(params) {
    return axios.get(`/SZWL-SERVER/tTimeRule/pageTimeRule?${stringToUrl(params)}`)   
}